summaryrefslogtreecommitdiff
path: root/jh-list-commands.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jh-list-commands.sh')
-rw-r--r--jh-list-commands.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/jh-list-commands.sh b/jh-list-commands.sh
new file mode 100644
index 0000000..290b4e1
--- /dev/null
+++ b/jh-list-commands.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+. /usr/bin/jh
+
+if [[ $# > 0 ]]; then
+ usage
+ exit 1
+fi
+
+for cmd_help in "$JH_PATH"/*.help.txt; do
+ cmd=`echo "$cmd_help"|sed -r 's|.*/jh-(.*)\.help\.txt$|\1|'`
+ help=`sed -n 2p "$cmd_help"`
+ printf "%-20s %s\n" "$cmd" "$help"
+done